#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,q,c,x=0,r;

    cin>>n>>q;
    if(n%2!=0){
        c=(n-1)/2;
    }else{
        c=(n/2)+1;
    }
    int a[n],b[q];
    for(int i=0;i<n;i++){
        cin>>a[i];
        x++;
    }
    for(int i=0;i<q;i++){
        cin>>b[i];
    }

    sort(a, a+n);
    for(int i=0;i<q;i++){
        if(a[c]==b[i]){
            cout<<0<<endl;
        }else if(b[i]<a[c]){
        int z = lower_bound(a, a+c, b+i)-a;
        cout<<abs(c-z)<<endl;
        }else{
        int k = lower_bound(a+c, a+n, b+i)-a;
        cout<<abs(c-k)<<endl;
        }
        }


    return 0;
}